From cac8440af398f8bdb02a6ca2701bed076f3ac60b Mon Sep 17 00:00:00 2001
From: Pero Brbora <pbrbora@stud.unidu.hr>
Date: Wed, 25 Mar 2015 18:13:31 +0100
Subject: [PATCH 1/2] Return some value on error from functions returning
 values.

---
 src/api.c | 799 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 795 insertions(+), 4 deletions(-)

diff --git a/src/api.c b/src/api.c
index a3e0be6..32b6235 100644
--- a/src/api.c
+++ b/src/api.c
@@ -226,6 +226,8 @@ dwg_ent_circle_new(int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 /// This function frees the memory allocated by the dwg_ent_circle_new() function.
@@ -319,6 +321,8 @@ dwg_ent_circle_get_radius(dwg_ent_circle *circle, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// sets the circle radius.
@@ -354,6 +358,8 @@ dwg_ent_circle_get_thickness(dwg_ent_circle *circle, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// sets the circle thickness.
@@ -435,6 +441,8 @@ dwg_ent_line_new(int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 /// This function deletes the entity created using dwg_ent_line_new() function and frees the allocated memory.
@@ -568,6 +576,8 @@ dwg_ent_line_get_thickness(dwg_ent_line *line, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets line thickness.
@@ -648,6 +658,8 @@ dwg_ent_arc_new(int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 /// This function deletes entity created by dwg_ent_arc_new() function and frees the allocated memory.
@@ -740,6 +752,8 @@ dwg_ent_arc_get_radius(dwg_ent_arc *arc, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets arc radius
@@ -775,6 +789,8 @@ dwg_ent_arc_get_thickness(dwg_ent_arc *arc, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets arc thickness.
@@ -850,6 +866,8 @@ dwg_ent_arc_get_start_angle(dwg_ent_arc *arc, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets arc start angle.
@@ -885,6 +903,8 @@ dwg_ent_arc_get_end_angle(dwg_ent_arc *arc, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets arc end angle.
@@ -924,6 +944,8 @@ dwg_ent_ellipse_new(int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 /// This function deletes entity created by dwg_ent_ellipse_new() function and frees the allocated memory.
@@ -1103,6 +1125,8 @@ dwg_ent_ellipse_get_axis_ratio(dwg_ent_ellipse *ellipse, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets ellipse axis ratio.
@@ -1139,6 +1163,8 @@ dwg_ent_ellipse_get_start_angle(dwg_ent_ellipse *ellipse, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets ellipse start angle.
@@ -1175,6 +1201,8 @@ dwg_ent_ellipse_get_end_angle(dwg_ent_ellipse *ellipse, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets ellipse end angle.
@@ -1233,6 +1261,8 @@ dwg_ent_text_get_text(dwg_ent_text *text, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 /// This returns the insertion point of a text entity into second argument.
@@ -1288,6 +1318,8 @@ dwg_ent_text_get_height(dwg_ent_text *text, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets height of Text
@@ -1365,6 +1397,8 @@ dwg_ent_text_get_thickness(dwg_ent_text *text, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets the thickness of text.
@@ -1400,6 +1434,8 @@ dwg_ent_text_get_rot_angle(dwg_ent_text *text, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets the rotation angle of a text entity.
@@ -1435,6 +1471,8 @@ dwg_ent_text_get_vert_align(dwg_ent_text *text, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets the vertical alignment of a text entity 
@@ -1470,6 +1508,8 @@ dwg_ent_text_get_horiz_align(dwg_ent_text *text, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// Sets the horizontal alignment of a text entity.
@@ -1527,6 +1567,8 @@ dwg_ent_attrib_get_text(dwg_ent_attrib *attrib, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 /// Returns the insertion point of a attrib entity.
@@ -1584,6 +1626,8 @@ dwg_ent_attrib_get_height(dwg_ent_attrib *attrib, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets height of a attrib entity.
@@ -1661,6 +1705,8 @@ dwg_ent_attrib_get_thickness(dwg_ent_attrib *attrib, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the thickness of a attrib entity.
@@ -1697,6 +1743,8 @@ dwg_ent_attrib_get_rot_angle(dwg_ent_attrib *attrib, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the rotation angle of a attrib entity equal to value in second argument.
@@ -1727,6 +1775,8 @@ dwg_ent_attrib_get_vert_align(dwg_ent_attrib *attrib, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the vertical alignment of a attrib entity equal to value in second argument.
@@ -1758,6 +1808,8 @@ dwg_ent_attrib_get_horiz_align(dwg_ent_attrib *attrib, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the horizontal alignment of a attrib entity equal to value in second argument.
@@ -1810,6 +1862,8 @@ dwg_ent_attdef_get_text(dwg_ent_attdef *attdef, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 /// This returns the insertion point of a attdef entity into second argument.
@@ -1860,6 +1914,8 @@ dwg_ent_attdef_get_height(dwg_ent_attdef *attdef, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets height of a attdef entity equal to value provided in second argument.
@@ -1933,6 +1989,8 @@ dwg_ent_attdef_get_thickness(dwg_ent_attdef *attdef, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the thickness of a attdef entity equal to value in second argument.
@@ -1964,6 +2022,8 @@ dwg_ent_attdef_get_rot_angle(dwg_ent_attdef *attdef, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the rotation angle of a attdef entity equal to value in second argument.
@@ -1994,6 +2054,8 @@ dwg_ent_attdef_get_vert_align(dwg_ent_attdef *attdef, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the vertical alignment of a attdef entity equal to value in second argument.
@@ -2025,6 +2087,8 @@ dwg_ent_attdef_get_horiz_align(dwg_ent_attdef *attdef, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the horizontal alignment of a attdef entity equal to value in second argument.
@@ -2102,6 +2166,8 @@ dwg_ent_point_get_thickness(dwg_ent_point *point, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the thickness of a point entity equal to value in second argument.
@@ -2179,6 +2245,8 @@ dwg_ent_solid_get_thickness(dwg_ent_solid *solid, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the thickness of a solid entity equal to value in second argument.
@@ -2211,6 +2279,8 @@ dwg_ent_solid_get_elevation(dwg_ent_solid *solid, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the elevation of a solid entity equal to value in second argument.
@@ -2464,6 +2534,8 @@ dwg_ent_block_get_name(dwg_ent_block *block, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 /*******************************************************************
@@ -2605,6 +2677,8 @@ dwg_ent_trace_get_thickness(dwg_ent_trace *trace, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the thickness of a trace entity equal to value in second argument.
@@ -2637,6 +2711,8 @@ dwg_ent_trace_get_elevation(dwg_ent_trace *trace, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /// This sets the elevation of a trace entity equal to value in second argument.
@@ -2872,6 +2948,8 @@ dwg_ent_vertex_3d_get_flags(dwg_ent_vertex_3d *vert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -2930,6 +3008,8 @@ dwg_ent_vertex_mesh_get_flags(dwg_ent_vertex_mesh *vert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -2989,6 +3069,8 @@ dwg_ent_vertex_pface_get_flags(dwg_ent_vertex_pface *vert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3048,6 +3130,8 @@ dwg_ent_vertex_2d_get_flags(dwg_ent_vertex_2d *vert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3102,6 +3186,8 @@ dwg_ent_vertex_2d_get_start_width(dwg_ent_vertex_2d *vert, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3127,6 +3213,8 @@ dwg_ent_vertex_2d_get_end_width(dwg_ent_vertex_2d *vert, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3152,6 +3240,8 @@ dwg_ent_vertex_2d_get_bulge(dwg_ent_vertex_2d *vert, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3176,6 +3266,8 @@ dwg_ent_vertex_2d_get_tangent_dir(dwg_ent_vertex_2d *vert, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3235,6 +3327,8 @@ dwg_ent_insert_get_scale_flag(dwg_ent_insert *insert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3289,6 +3383,8 @@ dwg_ent_insert_get_rotation_angle(dwg_ent_insert *insert, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3344,6 +3440,8 @@ dwg_ent_insert_get_has_attribs(dwg_ent_insert *insert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3369,6 +3467,8 @@ dwg_ent_insert_get_owned_obj_count(dwg_ent_insert *insert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3387,6 +3487,7 @@ dwg_ent_insert_set_owned_obj_count(dwg_ent_insert *insert, long count,
 dwg_handle
 dwg_ent_insert_get_ref_handle(dwg_ent_insert *insert, int *error)
 {
+  static dwg_handle dummy;
   if(insert != 0)
     {
       *error = 0;
@@ -3394,6 +3495,8 @@ dwg_ent_insert_get_ref_handle(dwg_ent_insert *insert, int *error)
     }
   else
     *error = 1;
+
+  return dummy;
 }
 
 unsigned long
@@ -3406,6 +3509,8 @@ dwg_ent_insert_get_abs_ref(dwg_ent_insert *insert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 /*******************************************************************
@@ -3452,6 +3557,8 @@ dwg_ent_minsert_get_scale_flag(dwg_ent_minsert *minsert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3507,6 +3614,8 @@ dwg_ent_minsert_get_rotation_angle(dwg_ent_minsert *minsert, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3562,6 +3671,8 @@ dwg_ent_minsert_get_has_attribs(dwg_ent_minsert *minsert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3587,6 +3698,8 @@ dwg_ent_minsert_get_owned_obj_count(dwg_ent_minsert *minsert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3612,6 +3725,8 @@ dwg_ent_minsert_get_numcols(dwg_ent_minsert *minsert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3636,6 +3751,8 @@ dwg_ent_minsert_get_numrows(dwg_ent_minsert *minsert, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3660,6 +3777,8 @@ dwg_ent_minsert_get_col_spacing(dwg_ent_minsert *minsert, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3685,6 +3804,8 @@ dwg_ent_minsert_get_row_spacing(dwg_ent_minsert *minsert, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3714,6 +3835,8 @@ dwg_obj_mlinstyle_get_name(dwg_obj_mlinestyle *mlinestyle, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -3739,6 +3862,8 @@ dwg_obj_mlinestyle_get_desc(dwg_obj_mlinestyle *mlinestyle, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -3764,6 +3889,8 @@ dwg_obj_mlinestyle_get_flags(dwg_obj_mlinestyle *mlinestyle, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3789,6 +3916,8 @@ dwg_obj_mlinestyle_get_start_angle(dwg_obj_mlinestyle *mlinestyle, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3814,6 +3943,8 @@ dwg_obj_mlinestyle_get_end_angle(dwg_obj_mlinestyle *mlinestyle, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3840,6 +3971,8 @@ dwg_obj_mlinestyle_get_linesinstyle(dwg_obj_mlinestyle *mlinestyle,
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -3870,6 +4003,7 @@ dwg_obj_appid_control_get_num_entries(dwg_obj_appid_control *appid, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 void
@@ -3901,6 +4035,7 @@ dwg_obj_appid_get_entry_name(dwg_obj_appid *appid, int *error)
   else
     *error = 1;
 
+  return NULL;
 }
 
 void
@@ -3928,6 +4063,7 @@ dwg_obj_appid_get_flag(dwg_obj_appid *appid, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 void
@@ -3946,6 +4082,7 @@ dwg_obj_appid_set_flag(dwg_obj_appid *appid, char flag, int *error)
 dwg_obj_appid_control
 dwg_obj_appid_get_appid_control(dwg_obj_appid *appid, int *error)
 {
+  static dwg_obj_appid_control dummy;
   if (appid != 0)
     {
       *error = 0;
@@ -3954,6 +4091,7 @@ dwg_obj_appid_get_appid_control(dwg_obj_appid *appid, int *error)
   else
     *error = 1;
 
+  return dummy;
 }
 
 /*******************************************************************
@@ -3970,6 +4108,8 @@ dwg_ent_dim_ordinate_get_elevation_ecs11(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -3995,6 +4135,8 @@ dwg_ent_dim_ordinate_get_elevation_ecs12(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4020,6 +4162,8 @@ dwg_ent_dim_ordinate_get_flags1(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -4045,6 +4189,8 @@ dwg_ent_dim_ordinate_get_act_measurement(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4070,6 +4216,8 @@ dwg_ent_dim_ordinate_get_horiz_dir(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4095,6 +4243,8 @@ dwg_ent_dim_ordinate_get_lspace_factor(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4121,6 +4271,8 @@ dwg_ent_dim_ordinate_get_lspace_style(dwg_ent_dim_ordinate *dim,
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -4147,6 +4299,8 @@ dwg_ent_dim_ordinate_get_attachment_point(dwg_ent_dim_ordinate *dim,
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -4202,6 +4356,8 @@ dwg_ent_dim_ordinate_get_user_text(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -4227,6 +4383,8 @@ dwg_ent_dim_ordinate_get_text_rot(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4252,6 +4410,8 @@ dwg_ent_dim_ordinate_get_ins_rotation(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4277,6 +4437,8 @@ dwg_ent_dim_ordinate_get_flip_arrow1(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -4302,6 +4464,8 @@ dwg_ent_dim_ordinate_get_flip_arrow2(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -4385,6 +4549,8 @@ dwg_ent_dim_ordinate_get_flags2(dwg_ent_dim_ordinate *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -4532,6 +4698,8 @@ dwg_ent_dim_linear_get_block_name(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 double
@@ -4544,6 +4712,8 @@ dwg_ent_dim_linear_get_elevation_ecs11(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4569,6 +4739,8 @@ dwg_ent_dim_linear_get_elevation_ecs12(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4594,6 +4766,8 @@ dwg_ent_dim_linear_get_flags1(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -4618,6 +4792,8 @@ dwg_ent_dim_linear_get_act_measurement(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4643,6 +4819,8 @@ dwg_ent_dim_linear_get_horiz_dir(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4669,6 +4847,8 @@ dwg_ent_dim_linear_get_lspace_factor(dwg_ent_dim_linear *dim,
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4694,6 +4874,8 @@ dwg_ent_dim_linear_get_lspace_style(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -4719,6 +4901,8 @@ dwg_ent_dim_linear_get_attachment_point(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -4774,6 +4958,8 @@ dwg_ent_dim_linear_get_user_text(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -4799,6 +4985,8 @@ dwg_ent_dim_linear_get_text_rot(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4824,6 +5012,8 @@ dwg_ent_dim_linear_get_ins_rotation(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -4849,6 +5039,8 @@ dwg_ent_dim_linear_get_flip_arrow1(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -4874,6 +5066,8 @@ dwg_ent_dim_linear_get_flip_arrow2(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -5077,6 +5271,8 @@ dwg_ent_dim_linear_get_ext_line_rotation(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5102,6 +5298,8 @@ dwg_ent_dim_linear_get_dim_rot(dwg_ent_dim_linear *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5130,6 +5328,8 @@ dwg_ent_dim_aligned_get_elevation_ecs11(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5156,6 +5356,8 @@ dwg_ent_dim_aligned_get_elevation_ecs12(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5182,6 +5384,8 @@ dwg_ent_dim_aligned_get_flags1(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -5206,6 +5410,8 @@ dwg_ent_dim_aligned_get_act_measurement(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5231,6 +5437,8 @@ dwg_ent_dim_aligned_get_horiz_dir(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5256,6 +5464,8 @@ dwg_ent_dim_aligned_get_lspace_factor(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5281,6 +5491,8 @@ dwg_ent_dim_aligned_get_lspace_style(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -5306,6 +5518,8 @@ dwg_ent_dim_aligned_get_attachment_point(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -5361,6 +5575,8 @@ dwg_ent_dim_aligned_get_user_text(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -5386,6 +5602,8 @@ dwg_ent_dim_aligned_get_text_rot(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5411,6 +5629,8 @@ dwg_ent_dim_aligned_get_ins_rotation(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5436,6 +5656,8 @@ dwg_ent_dim_aligned_get_flip_arrow1(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -5461,6 +5683,8 @@ dwg_ent_dim_aligned_get_flip_arrow2(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -5662,6 +5886,8 @@ dwg_ent_dim_aligned_get_ext_line_rotation(dwg_ent_dim_aligned *dim, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5691,6 +5917,8 @@ dwg_ent_dim_ang3pt_get_elevation_ecs11(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5716,6 +5944,8 @@ dwg_ent_dim_ang3pt_get_elevation_ecs12(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5741,6 +5971,8 @@ dwg_ent_dim_ang3pt_get_flags1(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -5765,6 +5997,8 @@ dwg_ent_dim_ang3pt_get_act_measurement(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5790,6 +6024,8 @@ dwg_ent_dim_ang3pt_get_horiz_dir(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5815,6 +6051,8 @@ dwg_ent_dim_ang3pt_get_lspace_factor(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5840,6 +6078,8 @@ dwg_ent_dim_ang3pt_get_lspace_style(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -5865,6 +6105,8 @@ dwg_ent_dim_ang3pt_get_attachment_point(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -5920,6 +6162,8 @@ dwg_ent_dim_ang3pt_get_user_text(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -5945,6 +6189,8 @@ dwg_ent_dim_ang3pt_get_text_rot(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5970,6 +6216,8 @@ dwg_ent_dim_ang3pt_get_ins_rotation(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -5995,6 +6243,8 @@ dwg_ent_dim_ang3pt_get_flip_arrow1(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -6020,6 +6270,8 @@ dwg_ent_dim_ang3pt_get_flip_arrow2(dwg_ent_dim_ang3pt *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -6257,6 +6509,8 @@ dwg_ent_dim_ang2ln_get_elevation_ecs11(dwg_ent_dim_ang2ln *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6282,6 +6536,8 @@ dwg_ent_dim_ang2ln_get_elevation_ecs12(dwg_ent_dim_ang2ln *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6307,6 +6563,8 @@ dwg_ent_dim_ang2ln_get_flags1(dwg_ent_dim_ang2ln *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -6332,6 +6590,8 @@ dwg_ent_dim_ang2ln_get_act_measurement(dwg_ent_dim_ang2ln *ang,
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6358,6 +6618,8 @@ dwg_ent_dim_ang2ln_get_horiz_dir(dwg_ent_dim_ang2ln *ang,
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6384,6 +6646,8 @@ dwg_ent_dim_ang2ln_get_lspace_factor(dwg_ent_dim_ang2ln *ang,
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6409,6 +6673,8 @@ dwg_ent_dim_ang2ln_get_lspace_style(dwg_ent_dim_ang2ln *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -6434,6 +6700,8 @@ dwg_ent_dim_ang2ln_get_attachment_point(dwg_ent_dim_ang2ln *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -6489,6 +6757,8 @@ dwg_ent_dim_ang2ln_get_user_text(dwg_ent_dim_ang2ln *ang, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -6514,6 +6784,8 @@ dwg_ent_dim_ang2ln_get_text_rot(dwg_ent_dim_ang2ln *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6539,6 +6811,8 @@ dwg_ent_dim_ang2ln_get_ins_rotation(dwg_ent_dim_ang2ln *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6564,6 +6838,8 @@ dwg_ent_dim_ang2ln_get_flip_arrow1(dwg_ent_dim_ang2ln *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -6589,6 +6865,8 @@ dwg_ent_dim_ang2ln_get_flip_arrow2(dwg_ent_dim_ang2ln *ang, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -6855,6 +7133,8 @@ dwg_ent_dim_radius_get_elevation_ecs11(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6880,6 +7160,8 @@ dwg_ent_dim_radius_get_elevation_ecs12(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6905,6 +7187,8 @@ dwg_ent_dim_radius_get_flags1(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -6930,6 +7214,8 @@ dwg_ent_dim_radius_get_act_measurement(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6955,6 +7241,8 @@ dwg_ent_dim_radius_get_horiz_dir(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -6980,6 +7268,8 @@ dwg_ent_dim_radius_get_lspace_factor(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7005,6 +7295,8 @@ dwg_ent_dim_radius_get_lspace_style(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -7030,6 +7322,8 @@ dwg_ent_dim_radius_get_attachment_point(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -7085,6 +7379,8 @@ dwg_ent_dim_radius_get_user_text(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -7110,6 +7406,8 @@ dwg_ent_dim_radius_get_text_rot(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7135,6 +7433,8 @@ dwg_ent_dim_radius_get_ins_rotation(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7160,6 +7460,8 @@ dwg_ent_dim_radius_get_flip_arrow1(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -7185,6 +7487,8 @@ dwg_ent_dim_radius_get_flip_arrow2(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -7358,6 +7662,8 @@ dwg_ent_dim_radius_get_leader_length(dwg_ent_dim_radius *radius, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7387,6 +7693,8 @@ dwg_ent_dim_diameter_get_elevation_ecs11(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7412,6 +7720,8 @@ dwg_ent_dim_diameter_get_elevation_ecs12(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7437,6 +7747,8 @@ dwg_ent_dim_diameter_get_flags1(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -7462,6 +7774,8 @@ dwg_ent_dim_diameter_get_act_measurement(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7487,6 +7801,8 @@ dwg_ent_dim_diameter_get_horiz_dir(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7512,6 +7828,8 @@ dwg_ent_dim_diameter_get_lspace_factor(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7537,6 +7855,8 @@ dwg_ent_dim_diameter_get_lspace_style(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -7563,6 +7883,8 @@ dwg_ent_dim_diameter_get_attachment_point(dwg_ent_dim_diameter *dia,
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -7618,6 +7940,8 @@ dwg_ent_dim_diameter_get_user_text(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -7643,6 +7967,8 @@ dwg_ent_dim_diameter_get_text_rot(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7668,6 +7994,8 @@ dwg_ent_dim_diameter_get_ins_rotation(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7693,6 +8021,8 @@ dwg_ent_dim_diameter_get_flip_arrow1(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -7718,6 +8048,8 @@ dwg_ent_dim_diameter_get_flip_arrow2(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -7890,6 +8222,8 @@ dwg_ent_dim_diameter_get_leader_length(dwg_ent_dim_diameter *dia, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -7919,6 +8253,8 @@ dwg_ent_endblk_get_dummy(dwg_ent_endblk *endblk, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -7947,6 +8283,8 @@ dwg_ent_seqend_get_dummy(dwg_ent_seqend *seqend, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -8003,6 +8341,8 @@ dwg_ent_shape_get_scale(dwg_ent_shape *shape, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -8027,6 +8367,8 @@ dwg_ent_shape_get_rotation(dwg_ent_shape *shape, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -8051,6 +8393,8 @@ dwg_ent_shape_get_width_factor(dwg_ent_shape *shape, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -8076,6 +8420,8 @@ dwg_ent_shape_get_oblique(dwg_ent_shape *shape, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -8100,6 +8446,8 @@ dwg_ent_shape_get_thickness(dwg_ent_shape *shape, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -8125,6 +8473,8 @@ dwg_ent_shape_get_shape_no(dwg_ent_shape *shape, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -8294,6 +8644,7 @@ dwg_ent_mtext_get_rect_height(dwg_ent_mtext *mtext, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -8321,6 +8672,7 @@ dwg_ent_mtext_get_rect_width(dwg_ent_mtext *mtext, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -8348,6 +8700,7 @@ dwg_ent_mtext_get_text_height(dwg_ent_mtext *mtext, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 unsigned int
@@ -8361,6 +8714,7 @@ dwg_ent_mtext_get_attachment(dwg_ent_mtext *mtext, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 void
@@ -8388,6 +8742,7 @@ dwg_ent_mtext_get_drawing_dir(dwg_ent_mtext *mtext, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 void
@@ -8415,6 +8770,7 @@ dwg_ent_mtext_get_extends_ht(dwg_ent_mtext *mtext, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -8441,6 +8797,7 @@ dwg_ent_mtext_get_extends_wid(dwg_ent_mtext *mtext, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -8467,6 +8824,7 @@ dwg_ent_mtext_get_text(dwg_ent_mtext *mtext, int *error)
   else
     *error = 1;
 
+  return NULL;
 }
 
 void
@@ -8493,6 +8851,7 @@ dwg_ent_mtext_get_linespace_style(dwg_ent_mtext *mtext, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 void
@@ -8520,6 +8879,7 @@ dwg_ent_mtext_get_linespace_factor(dwg_ent_mtext *mtext, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -8565,6 +8925,7 @@ dwg_ent_leader_get_annot_type(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 void
@@ -8592,6 +8953,7 @@ dwg_ent_leader_get_path_type(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 long
@@ -8605,6 +8967,7 @@ dwg_ent_leader_get_numpts(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 void
@@ -8772,6 +9135,7 @@ dwg_ent_leader_get_dimgap(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -8799,6 +9163,7 @@ dwg_ent_leader_get_box_height(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -8825,6 +9190,7 @@ dwg_ent_leader_get_box_width(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -8852,6 +9218,7 @@ dwg_ent_leader_get_hook_line_on_x_dir(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 void
@@ -8878,6 +9245,7 @@ dwg_ent_leader_get_arrowhead_on(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 void
@@ -8905,6 +9273,7 @@ dwg_ent_leader_get_arrowhead_type(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 void
@@ -8931,6 +9300,7 @@ dwg_ent_leader_get_dimasz(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -8958,6 +9328,7 @@ dwg_ent_leader_get_byblock_color(dwg_ent_leader *leader, int *error)
   else
     *error = 1;
 
+  return 0;
 }
 
 /*******************************************************************
@@ -8989,6 +9360,7 @@ dwg_ent_tolerance_get_height(dwg_ent_tolerance *tol, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -9016,6 +9388,7 @@ dwg_ent_tolerance_get_dimgap(dwg_ent_tolerance *tol, int *error)
   else
     *error = 1;
 
+  return 0.0;
 }
 
 void
@@ -9139,6 +9512,7 @@ dwg_ent_tolerance_get_text_string(dwg_ent_tolerance *tol, int *error)
   else
     *error = 1;
 
+  return NULL;
 }
 
 /*******************************************************************
@@ -9155,6 +9529,8 @@ dwg_ent_lwpline_get_flags(dwg_ent_lwpline *lwpline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9179,6 +9555,8 @@ dwg_ent_lwpline_get_const_width(dwg_ent_lwpline *lwpline, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -9204,6 +9582,8 @@ dwg_ent_lwpline_get_elevation(dwg_ent_lwpline *lwpline, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -9229,6 +9609,8 @@ dwg_ent_lwpline_get_thickness(dwg_ent_lwpline *lwpline, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -9254,6 +9636,8 @@ dwg_ent_lwpline_get_num_points(dwg_ent_lwpline *lwpline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9279,6 +9663,8 @@ dwg_ent_lwpline_get_num_bulges(dwg_ent_lwpline *lwpline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9304,6 +9690,8 @@ dwg_ent_lwpline_get_num_widths(dwg_ent_lwpline *lwpline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9365,6 +9753,8 @@ dwg_ent_lwpline_get_bulges(dwg_ent_lwpline *lwpline, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 dwg_point_2d *
@@ -9385,6 +9775,8 @@ dwg_ent_lwpline_get_points(dwg_ent_lwpline *lwpline, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 dwg_lwpline_widths *
@@ -9405,6 +9797,8 @@ dwg_ent_lwpline_get_widths(dwg_ent_lwpline *lwpline, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 /*******************************************************************
@@ -9421,6 +9815,8 @@ dwg_ent_ole2frame_get_flags(dwg_ent_ole2frame *frame, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9446,6 +9842,8 @@ dwg_ent_ole2frame_get_mode(dwg_ent_ole2frame *frame, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9470,6 +9868,8 @@ dwg_ent_ole2frame_get_data_length(dwg_ent_ole2frame *frame, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9495,6 +9895,8 @@ dwg_ent_ole2frame_get_data(dwg_ent_ole2frame *frame, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -9523,6 +9925,8 @@ dwg_ent_spline_get_scenario(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9548,6 +9952,8 @@ dwg_ent_spline_get_degree(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9573,6 +9979,8 @@ dwg_ent_spline_get_fit_tol(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -9657,6 +10065,8 @@ dwg_ent_spline_get_knot_tol(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -9682,6 +10092,8 @@ dwg_ent_spline_get_ctrl_tol(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -9707,6 +10119,8 @@ dwg_ent_spline_get_num_fit_pts(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9732,6 +10146,8 @@ dwg_ent_spline_get_rational(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9757,6 +10173,8 @@ dwg_ent_spline_get_closed_b(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9782,6 +10200,8 @@ dwg_ent_spline_get_weighted(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9807,6 +10227,8 @@ dwg_ent_spline_get_periodic(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9832,6 +10254,8 @@ dwg_ent_spline_get_num_knots(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9856,6 +10280,8 @@ dwg_ent_spline_get_num_ctrl_pts(dwg_ent_spline *spline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -9889,6 +10315,8 @@ dwg_ent_spline_get_fit_points(dwg_ent_spline *spline, int *error)
       }
   else
     *error = 1;
+
+  return NULL;
 }
 
 dwg_ent_spline_control_point *
@@ -9908,6 +10336,8 @@ dwg_ent_spline_get_ctrl_pts(dwg_ent_spline *spline, int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 double *
@@ -9926,6 +10356,8 @@ dwg_ent_spline_get_knots(dwg_ent_spline *spline, int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 /*******************************************************************
@@ -9972,6 +10404,8 @@ dwg_ent_viewport_get_width(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -9996,6 +10430,8 @@ dwg_ent_viewport_get_height(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -10020,6 +10456,8 @@ dwg_ent_viewport_get_grid_major(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -10045,6 +10483,8 @@ dwg_ent_viewport_get_frozen_layer_count(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -10070,6 +10510,8 @@ dwg_ent_viewport_get_style_sheet(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 void
@@ -10108,6 +10550,8 @@ dwg_ent_viewport_get_circle_zoom(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -10131,6 +10575,8 @@ dwg_ent_viewport_get_status_flags(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 char
@@ -10143,6 +10589,8 @@ dwg_ent_viewport_get_render_mode(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -10180,6 +10628,8 @@ dwg_ent_viewport_get_ucs_at_origin(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -10205,6 +10655,8 @@ dwg_ent_viewport_get_ucs_per_viewport(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -10290,6 +10742,8 @@ dwg_ent_viewport_get_view_twist_angle(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -10315,6 +10769,8 @@ dwg_ent_viewport_get_view_height(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -10340,6 +10796,8 @@ dwg_ent_viewport_get_lens_length(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -10365,6 +10823,8 @@ dwg_ent_viewport_get_front_clip_z(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -10390,6 +10850,8 @@ dwg_ent_viewport_get_back_clip_z(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -10414,6 +10876,8 @@ dwg_ent_viewport_get_snap_angle(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -10641,6 +11105,8 @@ dwg_ent_viewport_get_ucs_elevation(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -10666,6 +11132,8 @@ dwg_ent_viewport_get_ucs_ortho_view_type(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -10691,6 +11159,8 @@ dwg_ent_viewport_get_shadeplot_mode(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -10716,6 +11186,8 @@ dwg_ent_viewport_get_use_def_lights(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -10741,6 +11213,8 @@ dwg_ent_viewport_get_def_lighting_type(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -10766,6 +11240,8 @@ dwg_ent_viewport_get_brightness(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -10791,6 +11267,8 @@ dwg_ent_viewport_get_contrast(dwg_ent_viewport *vp, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 /*******************************************************************
@@ -10809,6 +11287,8 @@ dwg_ent_polyline_pface_get_numverts(dwg_ent_polyline_pface *pface, int *error)
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -10839,6 +11319,8 @@ dwg_ent_polyline_pface_get_owned_obj_count(dwg_ent_polyline_pface *pface,
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -10868,6 +11350,8 @@ dwg_ent_polyline_pface_get_numfaces(dwg_ent_polyline_pface *pface, int *error)
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -10901,6 +11385,8 @@ dwg_ent_polyline_mesh_get_flags(dwg_ent_polyline_mesh *mesh, int *error)
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -10930,6 +11416,8 @@ dwg_ent_polyline_mesh_get_curve_type(dwg_ent_polyline_mesh *mesh, int *error)
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -10960,6 +11448,8 @@ dwg_ent_polyline_mesh_get_m_vert_count(dwg_ent_polyline_mesh *mesh,
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -10990,6 +11480,8 @@ dwg_ent_polyline_mesh_get_n_vert_count(dwg_ent_polyline_mesh *mesh,
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -11019,6 +11511,8 @@ dwg_ent_polyline_mesh_get_m_density(dwg_ent_polyline_mesh *mesh, int *error)
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -11048,6 +11542,8 @@ dwg_ent_polyline_mesh_get_n_density(dwg_ent_polyline_mesh *mesh, int *error)
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -11078,6 +11574,8 @@ dwg_ent_polyline_mesh_get_owned_obj_count(dwg_ent_polyline_mesh *mesh,
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -11145,6 +11643,8 @@ dwg_ent_polyline_2d_get_start_width(dwg_ent_polyline_2d *line2d, int *error)
     {
       *error = 1;
     }
+
+  return 0.0;
 }
 
 void
@@ -11174,6 +11674,8 @@ dwg_ent_polyline_2d_get_end_width(dwg_ent_polyline_2d *line2d, int *error)
     {
       *error = 1;
     }
+
+  return 0.0;
 }
 
 void
@@ -11203,6 +11705,8 @@ dwg_ent_polyline_2d_get_thickness(dwg_ent_polyline_2d *line2d, int *error)
     {
       *error = 1;
     }
+
+  return 0.0;
 }
 
 void
@@ -11232,6 +11736,8 @@ dwg_ent_polyline_2d_get_elevation(dwg_ent_polyline_2d *line2d, int *error)
     {
       *error = 1;
     }
+
+  return 0.0;
 }
 
 void
@@ -11261,6 +11767,8 @@ dwg_ent_polyline_2d_get_flags(dwg_ent_polyline_2d *line2d, int *error)
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -11290,6 +11798,8 @@ dwg_ent_polyline_2d_get_curve_type(dwg_ent_polyline_2d *line2d, int *error)
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -11320,6 +11830,8 @@ dwg_ent_polyline_2d_get_owned_obj_count(dwg_ent_polyline_2d *line2d,
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -11353,6 +11865,8 @@ dwg_ent_polyline_3d_get_flags_1(dwg_ent_polyline_3d *line3d, int *error)
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -11382,6 +11896,8 @@ dwg_ent_polyline_3d_get_flags_2(dwg_ent_polyline_3d *line3d, int *error)
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -11412,6 +11928,8 @@ dwg_ent_polyline_3d_get_owned_obj_count(dwg_ent_polyline_3d *line3d,
     {
       *error = 1;
     }
+
+  return 0;
 }
 
 void
@@ -11446,6 +11964,8 @@ dwg_ent_3dface_get_invis_flags(dwg_ent_3dface *_3dface, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 /// This sets the invis_flags of a _3dface entity equal to value in second argument.
@@ -11639,6 +12159,8 @@ dwg_ent_image_get_class_version(dwg_ent_image *image, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -11752,6 +12274,8 @@ dwg_ent_image_get_size_height(dwg_ent_image *image, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -11777,6 +12301,8 @@ dwg_ent_image_get_size_width(dwg_ent_image *image, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -11802,6 +12328,8 @@ dwg_ent_image_get_display_props(dwg_ent_image *image, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void      
@@ -11827,6 +12355,8 @@ dwg_ent_image_get_clipping(dwg_ent_image *image, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void       
@@ -11852,6 +12382,8 @@ dwg_ent_image_get_brightness(dwg_ent_image *image, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -11876,6 +12408,8 @@ dwg_ent_image_get_contrast(dwg_ent_image *image, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -11900,6 +12434,8 @@ dwg_ent_image_get_fade(dwg_ent_image *image, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -11924,6 +12460,8 @@ dwg_ent_image_get_clip_boundary_type(dwg_ent_image *image, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void      
@@ -12005,6 +12543,8 @@ dwg_ent_image_get_num_clip_verts(dwg_ent_image *image, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -12036,6 +12576,8 @@ dwg_ent_image_get_clip_verts(dwg_ent_image *image, int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 /*******************************************************************
@@ -12064,6 +12606,8 @@ dwg_ent_mline_get_scale(dwg_ent_mline *mline, int *error)
     }
   else
     *error = 1;
+
+  return 0.0;
 }
 
 void
@@ -12088,6 +12632,8 @@ dwg_ent_mline_get_just(dwg_ent_mline *mline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12173,6 +12719,8 @@ dwg_ent_mline_get_open_closed(dwg_ent_mline *mline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12197,6 +12745,8 @@ dwg_ent_mline_get_num_lines(dwg_ent_mline *mline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12222,6 +12772,8 @@ dwg_ent_mline_get_num_verts(dwg_ent_mline *mline, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 dwg_ent_mline_vert *
 dwg_ent_mline_get_verts(dwg_ent_mline *mline, int *error)
@@ -12240,6 +12792,8 @@ dwg_ent_mline_get_verts(dwg_ent_mline *mline, int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 /*******************************************************************
@@ -12276,6 +12830,8 @@ dwg_ent_3dsolid_get_acis_empty(dwg_ent_3dsolid *_3dsolid, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12301,6 +12857,8 @@ dwg_ent_3dsolid_get_version(dwg_ent_3dsolid *_3dsolid, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12326,9 +12884,12 @@ dwg_ent_3dsolid_get_block_size(dwg_ent_3dsolid *_3dsolid, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
-char *dwg_ent_3dsolid_get_acis_data(dwg_ent_3dsolid *_3dsolid, int *error)
+char *
+dwg_ent_3dsolid_get_acis_data(dwg_ent_3dsolid *_3dsolid, int *error)
 {
   if (_3dsolid != 0)
     {
@@ -12337,6 +12898,8 @@ char *dwg_ent_3dsolid_get_acis_data(dwg_ent_3dsolid *_3dsolid, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 char *
@@ -12350,6 +12913,8 @@ dwg_ent_3dsolid_set_acis_data(dwg_ent_3dsolid *_3dsolid,
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 char
@@ -12363,6 +12928,8 @@ dwg_ent_3dsolid_get_wireframe_data_present(dwg_ent_3dsolid *_3dsolid,
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12388,6 +12955,8 @@ dwg_ent_3dsolid_get_point_present(dwg_ent_3dsolid *_3dsolid, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12443,6 +13012,8 @@ dwg_ent_3dsolid_get_num_isolines(dwg_ent_3dsolid *_3dsolid, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12468,6 +13039,8 @@ dwg_ent_3dsolid_get_isoline_present(dwg_ent_3dsolid *_3dsolid, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12493,6 +13066,8 @@ dwg_ent_3dsolid_get_num_wires(dwg_ent_3dsolid *_3dsolid, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12524,6 +13099,8 @@ dwg_ent_3dsolid_get_wire(dwg_ent_3dsolid *_3dsolid, int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 long
@@ -12536,6 +13113,8 @@ dwg_ent_3dsolid_get_num_silhouettes(dwg_ent_3dsolid *_3dsolid, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12568,6 +13147,8 @@ dwg_ent_3dsolid_get_silhouette(dwg_ent_3dsolid *_3dsolid, int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 unsigned char
@@ -12580,6 +13161,8 @@ dwg_ent_3dsolid_get_acis_empty2(dwg_ent_3dsolid *_3dsolid, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12609,6 +13192,8 @@ dwg_ent_region_get_acis_empty(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12634,6 +13219,8 @@ dwg_ent_region_get_version(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12659,9 +13246,12 @@ dwg_ent_region_get_block_size(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
-char *dwg_ent_region_get_acis_data(dwg_ent_region *region, int *error)
+char *
+dwg_ent_region_get_acis_data(dwg_ent_region *region, int *error)
 {
   if (region != 0)
     {
@@ -12670,6 +13260,8 @@ char *dwg_ent_region_get_acis_data(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 char *
@@ -12683,6 +13275,8 @@ dwg_ent_region_set_acis_data(dwg_ent_region *region, char * data,
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 char
@@ -12695,6 +13289,8 @@ dwg_ent_region_get_wireframe_data_present(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12720,6 +13316,8 @@ dwg_ent_region_get_point_present(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12775,6 +13373,8 @@ dwg_ent_region_get_num_isolines(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12799,6 +13399,8 @@ dwg_ent_region_get_isoline_present(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12824,6 +13426,8 @@ dwg_ent_region_get_num_wires(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12855,6 +13459,8 @@ dwg_ent_region_get_wire(dwg_ent_region *region, int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 long
@@ -12867,6 +13473,8 @@ dwg_ent_region_get_num_silhouettes(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12899,6 +13507,8 @@ dwg_ent_region_get_silhouette(dwg_ent_region *region, int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 unsigned char
@@ -12911,6 +13521,8 @@ dwg_ent_region_get_acis_empty2(dwg_ent_region *region, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12940,6 +13552,8 @@ dwg_ent_body_get_acis_empty(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12965,6 +13579,8 @@ dwg_ent_body_get_version(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -12989,9 +13605,12 @@ dwg_ent_body_get_block_size(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
-char *dwg_ent_body_get_acis_data(dwg_ent_body *body, int *error)
+char *
+dwg_ent_body_get_acis_data(dwg_ent_body *body, int *error)
 {
   if (body != 0)
     {
@@ -13000,6 +13619,8 @@ char *dwg_ent_body_get_acis_data(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 char *
@@ -13012,6 +13633,8 @@ dwg_ent_body_set_acis_data(dwg_ent_body *body, char * data, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 char
@@ -13024,6 +13647,8 @@ dwg_ent_body_get_wireframe_data_present(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -13049,6 +13674,8 @@ dwg_ent_body_get_point_present(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -13101,6 +13728,8 @@ dwg_ent_body_get_num_isolines(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -13125,6 +13754,8 @@ dwg_ent_body_get_isoline_present(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -13149,6 +13780,8 @@ dwg_ent_body_get_num_wires(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -13180,6 +13813,8 @@ dwg_ent_body_get_wire(dwg_ent_body *body, int *error)
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 long
@@ -13192,6 +13827,8 @@ dwg_ent_body_get_num_silhouettes(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -13225,6 +13862,8 @@ dwg_ent_body_get_silhouette(dwg_ent_body *body,
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 unsigned char
@@ -13237,6 +13876,8 @@ dwg_ent_body_get_acis_empty2(dwg_ent_body *body, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -13337,6 +13978,8 @@ dwg_ent_table_get_data_flags(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13361,6 +14004,8 @@ dwg_ent_table_get_rotation(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0.0;
 }
 
 void
@@ -13416,6 +14061,8 @@ dwg_ent_table_get_has_attribs(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13441,6 +14088,8 @@ dwg_ent_table_get_owned_object_count(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13466,6 +14115,8 @@ dwg_ent_table_get_flag_for_table_value(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13521,6 +14172,8 @@ dwg_ent_table_get_num_cols(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13545,6 +14198,8 @@ dwg_ent_table_get_num_rows(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 double *
@@ -13557,6 +14212,8 @@ dwg_ent_table_get_col_widths(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return NULL;
 }
 
 double *
@@ -13569,6 +14226,8 @@ dwg_ent_table_get_row_heights(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return NULL;
 }
 
 void
@@ -13594,6 +14253,8 @@ dwg_ent_table_get_table_overrides_present(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13619,6 +14280,8 @@ dwg_ent_table_get_table_flag_override(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13644,6 +14307,8 @@ dwg_ent_table_get_title_suppressed(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13669,6 +14334,8 @@ dwg_ent_table_get_header_suppressed(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13694,6 +14361,8 @@ dwg_ent_table_get_flow_direction(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13719,6 +14388,8 @@ dwg_ent_table_get_horiz_cell_margin(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0.0;
 }
 
 void
@@ -13744,6 +14415,8 @@ dwg_ent_table_get_vert_cell_margin(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0.0;
 }
 
 void
@@ -13769,6 +14442,8 @@ dwg_ent_table_get_title_row_fill_none(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13794,6 +14469,8 @@ dwg_ent_table_get_header_row_fill_none(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13819,6 +14496,8 @@ dwg_ent_table_get_data_row_fill_none(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13844,6 +14523,8 @@ dwg_ent_table_get_title_row_align(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13869,6 +14550,8 @@ dwg_ent_table_get_header_row_align(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13894,6 +14577,8 @@ dwg_ent_table_get_data_row_align(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -13919,6 +14604,8 @@ dwg_ent_table_get_title_row_height(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0.0;
 }
 
 void
@@ -13944,6 +14631,8 @@ dwg_ent_table_get_header_row_height(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0.0;
 }
 
 void
@@ -13969,6 +14658,8 @@ dwg_ent_table_get_data_row_height(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0.0;
 }
 
 void
@@ -13996,6 +14687,8 @@ dwg_ent_table_get_border_color_overrides_present(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14021,6 +14714,8 @@ dwg_ent_table_get_border_color_overrides_flag(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14048,6 +14743,8 @@ dwg_ent_table_get_border_lineweight_overrides_present(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14074,6 +14771,8 @@ dwg_ent_table_get_border_lineweight_overrides_flag(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14099,6 +14798,8 @@ dwg_ent_table_get_title_horiz_top_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14124,6 +14825,8 @@ dwg_ent_table_get_title_horiz_ins_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14150,6 +14853,8 @@ dwg_ent_table_get_title_horiz_bottom_lineweight(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14175,6 +14880,8 @@ dwg_ent_table_get_title_vert_left_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14200,6 +14907,8 @@ dwg_ent_table_get_title_vert_ins_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14225,6 +14934,8 @@ dwg_ent_table_get_title_vert_right_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 void
@@ -14250,6 +14961,8 @@ dwg_ent_table_get_header_horiz_top_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14276,6 +14989,8 @@ dwg_ent_table_get_header_horiz_ins_lineweight(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14302,6 +15017,8 @@ dwg_ent_table_get_header_horiz_bottom_lineweight(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14327,6 +15044,8 @@ dwg_ent_table_get_header_vert_left_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14352,6 +15071,8 @@ dwg_ent_table_get_header_vert_ins_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14378,6 +15099,8 @@ dwg_ent_table_get_header_vert_right_lineweight(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14403,6 +15126,8 @@ dwg_ent_table_get_data_horiz_top_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14428,6 +15153,8 @@ dwg_ent_table_get_data_horiz_ins_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14454,6 +15181,8 @@ dwg_ent_table_get_data_horiz_bottom_lineweight(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14479,6 +15208,8 @@ dwg_ent_table_get_data_vert_ins_lineweight(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 
@@ -14508,6 +15239,8 @@ dwg_ent_table_get_border_visibility_overrides_present(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14534,6 +15267,8 @@ dwg_ent_table_get_border_visibility_overrides_flag(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14560,6 +15295,8 @@ dwg_ent_table_get_title_horiz_top_visibility(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14586,6 +15323,8 @@ dwg_ent_table_get_title_horiz_ins_visibility(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14613,6 +15352,8 @@ dwg_ent_table_get_title_horiz_bottom_visibility(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14639,6 +15380,8 @@ dwg_ent_table_get_title_vert_left_visibility(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14665,6 +15408,8 @@ dwg_ent_table_get_title_vert_ins_visibility(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14692,6 +15437,8 @@ dwg_ent_table_get_title_vert_right_visibility(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14719,6 +15466,8 @@ dwg_ent_table_get_header_horiz_top_visibility(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14746,6 +15495,8 @@ dwg_ent_table_get_header_horiz_ins_visibility(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14773,6 +15524,8 @@ dwg_ent_table_get_header_vert_left_visibility(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14799,6 +15552,8 @@ dwg_ent_table_get_header_vert_ins_visibility(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14826,6 +15581,8 @@ dwg_ent_table_get_header_vert_right_visibility(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14852,6 +15609,8 @@ dwg_ent_table_get_data_horiz_top_visibility(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14878,6 +15637,8 @@ dwg_ent_table_get_data_horiz_ins_visibility(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14905,6 +15666,8 @@ dwg_ent_table_get_data_horiz_bottom_visibility(dwg_ent_table *table,
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14931,6 +15694,8 @@ dwg_ent_table_get_data_vert_ins_visibility(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 void
@@ -14957,6 +15722,8 @@ dwg_ent_table_get_data_vert_right_visibility(dwg_ent_table *table, int *error)
     }
   else
     *error = 1;   
+
+  return 0;
 }
 
 /*******************************************************************
@@ -14980,6 +15747,7 @@ dwg_block_header_get_block_control(dwg_obj_block_header* block_header,
   else
     *error = 1;
 
+  return NULL;
 }
 
 dwg_object_ref **
@@ -15000,6 +15768,8 @@ dwg_obj_block_control_get_block_headers(dwg_obj_block_control *ctrl,
       }
     else
       *error = 1;
+
+  return NULL;
 }
 
 long
@@ -15012,6 +15782,8 @@ dwg_obj_block_control_get_num_entries(dwg_obj_block_control *ctrl, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 dwg_object_ref *
@@ -15024,6 +15796,8 @@ dwg_obj_block_control_get_model_space(dwg_obj_block_control *ctrl, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 dwg_object_ref *
@@ -15036,6 +15810,8 @@ dwg_obj_block_control_get_paper_space(dwg_obj_block_control *ctrl, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 /*******************************************************************
@@ -15056,6 +15832,7 @@ dwg_obj_layer_get_name(dwg_obj_layer *layer, int *error)
   else
     *error = 1;
 
+  return NULL;
 }
 
 /*******************************************************************
@@ -15075,6 +15852,8 @@ dwg_obj_block_header_get_name(dwg_obj_block_header *hdr, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 /// Returns 1st block header present in the dwg file from the dwg_data type argument passed to function.
@@ -15111,11 +15890,14 @@ dwg_obj_object_get_index(dwg_object *obj, int *error)
     }
   else
     *error = 1;
+
+  return 0;
 }
 
 dwg_handle
 dwg_obj_get_handle(dwg_object *obj, int *error)
 {
+  static dwg_handle dummy;
   if(obj != 0)
     {
       *error = 0;
@@ -15123,8 +15905,9 @@ dwg_obj_get_handle(dwg_object *obj, int *error)
     }
   else
     *error = 1;
-}
 
+  return dummy;
+}
 
 dwg_obj_obj *
 dwg_object_to_object(dwg_object *obj, int *error)
@@ -15137,6 +15920,8 @@ dwg_object_to_object(dwg_object *obj, int *error)
     }
   else
     *error = 1;    
+
+  return NULL;
 }
 
 dwg_obj_ent *
@@ -15150,6 +15935,8 @@ dwg_object_to_entity(dwg_object *obj, int *error)
     }
   else
     *error = 1;    
+
+  return NULL;
 }
 
 dwg_object *
@@ -15162,6 +15949,8 @@ dwg_obj_reference_get_object(dwg_object_ref *ref, int *error)
     }
   else
     *error = 1;
+
+  return NULL;
 }
 
 unsigned long
@@ -15174,6 +15963,8 @@ dwg_obj_ref_get_abs_ref(dwg_object_ref *ref, int *error)
     }
   else
     *error = 1;    
+
+  return 0;
 }
 
 int 
-- 
1.9.1

